Subject: Re: [PATCH 2/5] Implement generic time of day clocksource for powerpc machines.

From: [email-masked] (Tony Breeds)
Date: Fri, 21 Sep 2007 09:46:53 +1000

On Thu, Sep 20, 2007 at 09:35:10AM -0700, john stultz wrote:
 
> I think what Daniel is pointing out is that the clocksource read
> function isn't the place for the __USE_RTC() conditional. 
> 
> It would likely be better instead of the timebase clocksource managing
> multiple type of hardware (timebase and RTC), to have a separate simple
> RTC clocksource, and then conditionally register one or the other at
> init time.

I'll create a seperate clocksource for the RTC case and use that as
appropriate.  I'll resend the patch series after I've booted it :)

Yours Tony

  linux.conf.au        http://linux.conf.au/ || http://lca2008.linux.org.au/
  Jan 28 - Feb 02 2008 The Australian Linux Technical Conference!